/* This file was generated by SableCC (http://www.sablecc.org/). */

package ru.amse.baltijsky.javascheme.importer.sablecc.java15.lexer;

import ru.amse.baltijsky.javascheme.importer.sablecc.java15.node.*;

import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.IOException;
import java.io.PushbackReader;

@SuppressWarnings("nls")
public class Lexer {
    protected Token token;
    protected State state = State.INITIAL;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();

    @SuppressWarnings("unused")
    protected void filter() throws LexerException, IOException {
        // Do nothing
    }

    public Lexer(@SuppressWarnings("hiding")PushbackReader in) {
        this.in = in;
    }

    public Token peek() throws LexerException, IOException {
        while (this.token == null) {
            this.token = getToken();
            filter();
        }

        return this.token;
    }

    public Token next() throws LexerException, IOException {
        while (this.token == null) {
            this.token = getToken();
            filter();
        }

        Token result = this.token;
        this.token = null;
        return result;
    }

    protected Token getToken() throws IOException, LexerException {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

        @SuppressWarnings("hiding") int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
        @SuppressWarnings("hiding") int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while (true) {
            int c = getChar();

            if (c != -1) {
                switch (c) {
                case 10:
                    if (this.cr) {
                        this.cr = false;
                    } else {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do {
                    int oldState = (dfa_state < -1) ? (-2 - dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 = gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while (low <= high) {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if (c < tmp2[0]) {
                            high = middle - 1;
                        } else if (c > tmp2[1]) {
                            low = middle + 1;
                        } else {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                } while (dfa_state < -1);
            } else {
                dfa_state = -1;
            }

            if (dfa_state >= 0) {
                if (accept[dfa_state] != -1) {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            } else {
                if (accept_state != -1) {
                    switch (accept_token) {
                    case 0: {
                        @SuppressWarnings("hiding") Token token = new0(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 1: {
                        @SuppressWarnings("hiding") Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 2: {
                        @SuppressWarnings("hiding") Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 3: {
                        @SuppressWarnings("hiding") Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 4: {
                        @SuppressWarnings("hiding") Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 5: {
                        @SuppressWarnings("hiding") Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 6: {
                        @SuppressWarnings("hiding") Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 7: {
                        @SuppressWarnings("hiding") Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 8: {
                        @SuppressWarnings("hiding") Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 9: {
                        @SuppressWarnings("hiding") Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 10: {
                        @SuppressWarnings("hiding") Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 11: {
                        @SuppressWarnings("hiding") Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 12: {
                        @SuppressWarnings("hiding") Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 13: {
                        @SuppressWarnings("hiding") Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 14: {
                        @SuppressWarnings("hiding") Token token = new14(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 15: {
                        @SuppressWarnings("hiding") Token token = new15(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 16: {
                        @SuppressWarnings("hiding") Token token = new16(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 17: {
                        @SuppressWarnings("hiding") Token token = new17(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 18: {
                        @SuppressWarnings("hiding") Token token = new18(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 19: {
                        @SuppressWarnings("hiding") Token token = new19(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 20: {
                        @SuppressWarnings("hiding") Token token = new20(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 21: {
                        @SuppressWarnings("hiding") Token token = new21(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 22: {
                        @SuppressWarnings("hiding") Token token = new22(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 23: {
                        @SuppressWarnings("hiding") Token token = new23(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 24: {
                        @SuppressWarnings("hiding") Token token = new24(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 25: {
                        @SuppressWarnings("hiding") Token token = new25(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 26: {
                        @SuppressWarnings("hiding") Token token = new26(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 27: {
                        @SuppressWarnings("hiding") Token token = new27(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 28: {
                        @SuppressWarnings("hiding") Token token = new28(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 29: {
                        @SuppressWarnings("hiding") Token token = new29(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 30: {
                        @SuppressWarnings("hiding") Token token = new30(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 31: {
                        @SuppressWarnings("hiding") Token token = new31(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 32: {
                        @SuppressWarnings("hiding") Token token = new32(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 33: {
                        @SuppressWarnings("hiding") Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 34: {
                        @SuppressWarnings("hiding") Token token = new34(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 35: {
                        @SuppressWarnings("hiding") Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 36: {
                        @SuppressWarnings("hiding") Token token = new36(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 37: {
                        @SuppressWarnings("hiding") Token token = new37(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 38: {
                        @SuppressWarnings("hiding") Token token = new38(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 39: {
                        @SuppressWarnings("hiding") Token token = new39(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 40: {
                        @SuppressWarnings("hiding") Token token = new40(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 41: {
                        @SuppressWarnings("hiding") Token token = new41(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 42: {
                        @SuppressWarnings("hiding") Token token = new42(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 43: {
                        @SuppressWarnings("hiding") Token token = new43(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 44: {
                        @SuppressWarnings("hiding") Token token = new44(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 45: {
                        @SuppressWarnings("hiding") Token token = new45(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 46: {
                        @SuppressWarnings("hiding") Token token = new46(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 47: {
                        @SuppressWarnings("hiding") Token token = new47(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 48: {
                        @SuppressWarnings("hiding") Token token = new48(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 49: {
                        @SuppressWarnings("hiding") Token token = new49(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 50: {
                        @SuppressWarnings("hiding") Token token = new50(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 51: {
                        @SuppressWarnings("hiding") Token token = new51(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 52: {
                        @SuppressWarnings("hiding") Token token = new52(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 53: {
                        @SuppressWarnings("hiding") Token token = new53(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 54: {
                        @SuppressWarnings("hiding") Token token = new54(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 55: {
                        @SuppressWarnings("hiding") Token token = new55(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 56: {
                        @SuppressWarnings("hiding") Token token = new56(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 57: {
                        @SuppressWarnings("hiding") Token token = new57(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 58: {
                        @SuppressWarnings("hiding") Token token = new58(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 59: {
                        @SuppressWarnings("hiding") Token token = new59(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 60: {
                        @SuppressWarnings("hiding") Token token = new60(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 61: {
                        @SuppressWarnings("hiding") Token token = new61(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 62: {
                        @SuppressWarnings("hiding") Token token = new62(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 63: {
                        @SuppressWarnings("hiding") Token token = new63(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 64: {
                        @SuppressWarnings("hiding") Token token = new64(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 65: {
                        @SuppressWarnings("hiding") Token token = new65(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 66: {
                        @SuppressWarnings("hiding") Token token = new66(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 67: {
                        @SuppressWarnings("hiding") Token token = new67(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 68: {
                        @SuppressWarnings("hiding") Token token = new68(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 69: {
                        @SuppressWarnings("hiding") Token token = new69(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 70: {
                        @SuppressWarnings("hiding") Token token = new70(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 71: {
                        @SuppressWarnings("hiding") Token token = new71(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 72: {
                        @SuppressWarnings("hiding") Token token = new72(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 73: {
                        @SuppressWarnings("hiding") Token token = new73(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 74: {
                        @SuppressWarnings("hiding") Token token = new74(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 75: {
                        @SuppressWarnings("hiding") Token token = new75(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 76: {
                        @SuppressWarnings("hiding") Token token = new76(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 77: {
                        @SuppressWarnings("hiding") Token token = new77(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 78: {
                        @SuppressWarnings("hiding") Token token = new78(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 79: {
                        @SuppressWarnings("hiding") Token token = new79(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 80: {
                        @SuppressWarnings("hiding") Token token = new80(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 81: {
                        @SuppressWarnings("hiding") Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 82: {
                        @SuppressWarnings("hiding") Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 83: {
                        @SuppressWarnings("hiding") Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 84: {
                        @SuppressWarnings("hiding") Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 85: {
                        @SuppressWarnings("hiding") Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 86: {
                        @SuppressWarnings("hiding") Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 87: {
                        @SuppressWarnings("hiding") Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 88: {
                        @SuppressWarnings("hiding") Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 89: {
                        @SuppressWarnings("hiding") Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 90: {
                        @SuppressWarnings("hiding") Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 91: {
                        @SuppressWarnings("hiding") Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 92: {
                        @SuppressWarnings("hiding") Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 93: {
                        @SuppressWarnings("hiding") Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 94: {
                        @SuppressWarnings("hiding") Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 95: {
                        @SuppressWarnings("hiding") Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 96: {
                        @SuppressWarnings("hiding") Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 97: {
                        @SuppressWarnings("hiding") Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 98: {
                        @SuppressWarnings("hiding") Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 99: {
                        @SuppressWarnings("hiding") Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 100: {
                        @SuppressWarnings("hiding") Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 101: {
                        @SuppressWarnings("hiding") Token token = new101(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 102: {
                        @SuppressWarnings("hiding") Token token = new102(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 103: {
                        @SuppressWarnings("hiding") Token token = new103(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 104: {
                        @SuppressWarnings("hiding") Token token = new104(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 105: {
                        @SuppressWarnings("hiding") Token token = new105(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 106: {
                        @SuppressWarnings("hiding") Token token = new106(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 107: {
                        @SuppressWarnings("hiding") Token token = new107(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 108: {
                        @SuppressWarnings("hiding") Token token = new108(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    }
                } else {
                    if (this.text.length() > 0) {
                        throw new LexerException(
                                "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                                        " Unknown token: " + this.text);
                    }

                    @SuppressWarnings("hiding") EOF token = new EOF(
                            start_line + 1,
                            start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TWhiteSpace(text, line, pos);
    }

    Token new1(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTraditionalComment(text, line, pos);
    }

    Token new2(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDocumentationComment(text, line, pos);
    }

    Token new3(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TEndOfLineComment(text, line, pos);
    }

    Token new4(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAssert(line, pos);
    }

    Token new5(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAbstract(line, pos);
    }

    Token new6(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBoolean(line, pos);
    }

    Token new7(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBreak(line, pos);
    }

    Token new8(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TByte(line, pos);
    }

    Token new9(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TCase(line, pos);
    }

    Token new10(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TCatch(line, pos);
    }

    Token new11(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TChar(line, pos);
    }

    Token new12(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TClazz(line, pos);
    }

    Token new13(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TConst(line, pos);
    }

    Token new14(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TContinue(line, pos);
    }

    Token new15(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDefault(line, pos);
    }

    Token new16(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDo(line, pos);
    }

    Token new17(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDouble(line, pos);
    }

    Token new18(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TElse(line, pos);
    }

    Token new19(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TEnum(line, pos);
    }

    Token new20(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TExtends(line, pos);
    }

    Token new21(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFinal(line, pos);
    }

    Token new22(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFinally(line, pos);
    }

    Token new23(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFloat(line, pos);
    }

    Token new24(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFor(line, pos);
    }

    Token new25(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TGoto(line, pos);
    }

    Token new26(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TIf(line, pos);
    }

    Token new27(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TImplements(line, pos);
    }

    Token new28(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TImport(line, pos);
    }

    Token new29(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TInstanceof(line, pos);
    }

    Token new30(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TInt(line, pos);
    }

    Token new31(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TInterface(line, pos);
    }

    Token new32(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLong(line, pos);
    }

    Token new33(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNative(line, pos);
    }

    Token new34(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNew(line, pos);
    }

    Token new35(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPackage(line, pos);
    }

    Token new36(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPrivate(line, pos);
    }

    Token new37(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TProtected(line, pos);
    }

    Token new38(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPublic(line, pos);
    }

    Token new39(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TReturn(line, pos);
    }

    Token new40(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TShort(line, pos);
    }

    Token new41(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStatic(line, pos);
    }

    Token new42(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStrictfp(line, pos);
    }

    Token new43(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSuper(line, pos);
    }

    Token new44(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSwitch(line, pos);
    }

    Token new45(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSynchronized(line, pos);
    }

    Token new46(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TThis(line, pos);
    }

    Token new47(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TThrow(line, pos);
    }

    Token new48(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TThrows(line, pos);
    }

    Token new49(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTransient(line, pos);
    }

    Token new50(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTry(line, pos);
    }

    Token new51(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TVoid(line, pos);
    }

    Token new52(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TVolatile(line, pos);
    }

    Token new53(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TWhile(line, pos);
    }

    Token new54(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLPar(line, pos);
    }

    Token new55(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TRPar(line, pos);
    }

    Token new56(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLBrc(line, pos);
    }

    Token new57(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TRBrc(line, pos);
    }

    Token new58(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLBrk(line, pos);
    }

    Token new59(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TRBrk(line, pos);
    }

    Token new60(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSemicolon(line, pos);
    }

    Token new61(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TComma(line, pos);
    }

    Token new62(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDot(line, pos);
    }

    Token new63(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAssign(line, pos);
    }

    Token new64(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLt(line, pos);
    }

    Token new65(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TGt(line, pos);
    }

    Token new66(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNot(line, pos);
    }

    Token new67(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TComplement(line, pos);
    }

    Token new68(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TQuestion(line, pos);
    }

    Token new69(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TColon(line, pos);
    }

    Token new70(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TEllipsis(line, pos);
    }

    Token new71(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAt(line, pos);
    }

    Token new72(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TEq(line, pos);
    }

    Token new73(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLtEq(line, pos);
    }

    Token new74(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TGtEq(line, pos);
    }

    Token new75(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNeq(line, pos);
    }

    Token new76(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAndAnd(line, pos);
    }

    Token new77(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TOrOr(line, pos);
    }

    Token new78(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPlusPlus(line, pos);
    }

    Token new79(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMinusMinus(line, pos);
    }

    Token new80(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPlus(line, pos);
    }

    Token new81(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMinus(line, pos);
    }

    Token new82(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStar(line, pos);
    }

    Token new83(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDiv(line, pos);
    }

    Token new84(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAnd(line, pos);
    }

    Token new85(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TOr(line, pos);
    }

    Token new86(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TXor(line, pos);
    }

    Token new87(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMod(line, pos);
    }

    Token new88(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TShl(line, pos);
    }

    Token new89(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSshr(line, pos);
    }

    Token new90(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TUshr(line, pos);
    }

    Token new91(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPlusAssign(line, pos);
    }

    Token new92(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMinusAssign(line, pos);
    }

    Token new93(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStarAssign(line, pos);
    }

    Token new94(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDivAssign(line, pos);
    }

    Token new95(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAndAssign(line, pos);
    }

    Token new96(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TOrAssign(line, pos);
    }

    Token new97(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TXorAssign(line, pos);
    }

    Token new98(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TModAssign(line, pos);
    }

    Token new99(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TShlAssign(line, pos);
    }

    Token new100(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSshrAssign(line, pos);
    }

    Token new101(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TUshrAssign(line, pos);
    }

    Token new102(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFloatingPointLiteral(text, line, pos);
    }

    Token new103(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TCharacterLiteral(text, line, pos);
    }

    Token new104(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStringLiteral(text, line, pos);
    }

    Token new105(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBooleanLiteral(text, line, pos);
    }

    Token new106(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNullLiteral(text, line, pos);
    }

    Token new107(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TIntegerLiteral(text, line, pos);
    }

    Token new108(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TIdentifier(text, line, pos);
    }

    private int getChar() throws IOException {
        if (this.eof) {
            return -1;
        }

        int result = this.in.read();

        if (result == -1) {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException {
        int length = this.text.length();
        for (int i = length - 1; i >= acceptLength; i--) {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(@SuppressWarnings("hiding")Token token) throws IOException {
        @SuppressWarnings("hiding") String text = token.getText();
        int length = text.length();

        for (int i = length - 1; i >= 0; i--) {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength) {
        StringBuffer s = new StringBuffer(acceptLength);
        for (int i = 0; i < acceptLength; i++) {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // INITIAL
            {{9, 9, 1}, {10, 10, 2}, {12, 12, 3}, {13, 13, 4}, {32, 32, 5}, {33, 33, 6}, {34, 34, 7}, {36, 36, 8}, {37, 37, 9}, {38, 38, 10}, {39, 39, 11}, {40, 40, 12}, {41, 41, 13}, {42, 42, 14}, {43, 43, 15}, {44, 44, 16}, {45, 45, 17}, {46, 46, 18}, {47, 47, 19}, {48, 48, 20}, {49, 57, 21}, {58, 58, 22}, {59, 59, 23}, {60, 60, 24}, {61, 61, 25}, {62, 62, 26}, {63, 63, 27}, {64, 64, 28}, {65, 90, 29}, {91, 91, 30}, {93, 93, 31}, {94, 94, 32}, {95, 95, 33}, {97, 97, 34}, {98, 98, 35}, {99, 99, 36}, {100, 100, 37}, {101, 101, 38}, {102, 102, 39}, {103, 103, 40}, {104, 104, 41}, {105, 105, 42}, {106, 107, 41}, {108, 108, 43}, {109, 109, 41}, {110, 110, 44}, {111, 111, 41}, {112, 112, 45}, {113, 113, 41}, {114, 114, 46}, {115, 115, 47}, {116, 116, 48}, {117, 117, 41}, {118, 118, 49}, {119, 119, 50}, {120, 122, 41}, {123, 123, 51}, {124, 124, 52}, {125, 125, 53}, {126, 126, 54}, {170, 170, 55}, {181, 181, 56}, {186, 186, 57}, {192, 214, 58}, {216, 246, 59}, {248, 501, 60}, {506, 535, 61}, {592, 680, 62}, {688, 696, 63}, {699, 705, 64}, {720, 721, 65}, {736, 740, 66}, {890, 890, 67}, {902, 902, 68}, {904, 906, 69}, {908, 908, 70}, {910, 929, 71}, {931, 974, 72}, {976, 982, 73}, {986, 986, 74}, {988, 988, 75}, {990, 990, 76}, {992, 992, 77}, {994, 1011, 78}, {1025, 1036, 79}, {1038, 1103, 80}, {1105, 1116, 81}, {1118, 1153, 82}, {1168, 1220, 83}, {1223, 1224, 84}, {1227, 1228, 85}, {1232, 1259, 86}, {1262, 1269, 87}, {1272, 1273, 88}, {1329, 1366, 89}, {1369, 1369, 90}, {1377, 1415, 91}, {1488, 1514, 92}, {1520, 1522, 93}, {1569, 1594, 94}, {1600, 1610, 95}, {1649, 1719, 96}, {1722, 1726, 97}, {1728, 1742, 98}, {1744, 1747, 99}, {1749, 1749, 100}, {1765, 1766, 101}, {2309, 2361, 102}, {2365, 2365, 103}, {2392, 2401, 104}, {2437, 2444, 105}, {2447, 2448, 106}, {2451, 2472, 107}, {2474, 2480, 108}, {2482, 2482, 109}, {2486, 2489, 110}, {2524, 2525, 111}, {2527, 2529, 112}, {2544, 2545, 113}, {2565, 2570, 114}, {2575, 2576, 115}, {2579, 2600, 116}, {2602, 2608, 117}, {2610, 2611, 118}, {2613, 2614, 119}, {2616, 2617, 120}, {2649, 2652, 121}, {2654, 2654, 122}, {2674, 2676, 123}, {2693, 2699, 124}, {2701, 2701, 125}, {2703, 2705, 126}, {2707, 2728, 127}, {2730, 2736, 128}, {2738, 2739, 129}, {2741, 2745, 130}, {2749, 2749, 131}, {2784, 2784, 132}, {2821, 2828, 133}, {2831, 2832, 134}, {2835, 2856, 135}, {2858, 2864, 136}, {2866, 2867, 137}, {2870, 2873, 138}, {2877, 2877, 139}, {2908, 2909, 140}, {2911, 2913, 141}, {2949, 2954, 142}, {2958, 2960, 143}, {2962, 2965, 144}, {2969, 2970, 145}, {2972, 2972, 146}, {2974, 2975, 147}, {2979, 2980, 148}, {2984, 2986, 149}, {2990, 2997, 150}, {2999, 3001, 151}, {3077, 3084, 152}, {3086, 3088, 153}, {3090, 3112, 154}, {3114, 3123, 155}, {3125, 3129, 156}, {3168, 3169, 157}, {3205, 3212, 158}, {3214, 3216, 159}, {3218, 3240, 160}, {3242, 3251, 161}, {3253, 3257, 162}, {3294, 3294, 163}, {3296, 3297, 164}, {3333, 3340, 165}, {3342, 3344, 166}, {3346, 3368, 167}, {3370, 3385, 168}, {3424, 3425, 169}, {3585, 3630, 170}, {3632, 3632, 171}, {3634, 3635, 172}, {3648, 3654, 173}, {3713, 3714, 174}, {3716, 3716, 175}, {3719, 3720, 176}, {3722, 3722, 177}, {3725, 3725, 178}, {3732, 3735, 179}, {3737, 3743, 180}, {3745, 3747, 181}, {3749, 3749, 182}, {3751, 3751, 183}, {3754, 3755, 184}, {3757, 3758, 185}, {3760, 3760, 186}, {3762, 3763, 187}, {3773, 3773, 188}, {3776, 3780, 189}, {3782, 3782, 190}, {3804, 3805, 191}, {3904, 3911, 192}, {3913, 3945, 193}, {4256, 4293, 194}, {4304, 4342, 195}, {4352, 4441, 196}, {4447, 4514, 197}, {4520, 4601, 198}, {7680, 7835, 199}, {7840, 7929, 200}, {7936, 7957, 201}, {7960, 7965, 202}, {7968, 8005, 203}, {8008, 8013, 204}, {8016, 8023, 205}, {8025, 8025, 206}, {8027, 8027, 207}, {8029, 8029, 208}, {8031, 8061, 209}, {8064, 8116, 210}, {8118, 8124, 211}, {8126, 8126, 212}, {8130, 8132, 213}, {8134, 8140, 214}, {8144, 8147, 215}, {8150, 8155, 216}, {8160, 8172, 217}, {8178, 8180, 218}, {8182, 8188, 219}, {8319, 8319, 220}, {8450, 8450, 221}, {8455, 8455, 222}, {8458, 8467, 223}, {8469, 8469, 224}, {8472, 8477, 225}, {8484, 8484, 226}, {8486, 8486, 227}, {8488, 8488, 228}, {8490, 8497, 229}, {8499, 8504, 230}, {12293, 12293, 231}, {12337, 12341, 232}, {12353, 12436, 233}, {12443, 12446, 234}, {12449, 12538, 235}, {12540, 12542, 236}, {12549, 12588, 237}, {12593, 12686, 238}, {19968, 40869, 239}, {44032, 55203, 240}, {63744, 64045, 241}, {64256, 64262, 242}, {64275, 64279, 243}, {64287, 64296, 244}, {64298, 64310, 245}, {64312, 64316, 246}, {64318, 64318, 247}, {64320, 64321, 248}, {64323, 64324, 249}, {64326, 64433, 250}, {64467, 64829, 251}, {64848, 64911, 252}, {64914, 64967, 253}, {65008, 65019, 254}, {65136, 65138, 255}, {65140, 65140, 256}, {65142, 65276, 257}, {65313, 65338, 258}, {65345, 65370, 259}, {65382, 65470, 260}, {65474, 65479, 261}, {65482, 65487, 262}, {65490, 65495, 263}, {65498, 65500, 264}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 9, 1}, {10, 10, 265}, {12, 32, -2}, },
            {{9, 32, -2}, },
            {{61, 61, 266}, },
            {{0, 9, 267}, {11, 12, 267}, {14, 33, 267}, {34, 34, 268}, {35, 91, 267}, {92, 92, 269}, {93, 65535, 267}, },
            {{36, 36, 270}, {48, 57, 271}, {65, 90, 272}, {95, 95, 273}, {97, 122, 274}, {170, 170, 275}, {181, 181, 276}, {186, 186, 277}, {192, 214, 278}, {216, 246, 279}, {248, 501, 280}, {506, 535, 281}, {592, 680, 282}, {688, 696, 283}, {699, 705, 284}, {720, 721, 285}, {736, 740, 286}, {890, 890, 287}, {902, 902, 288}, {904, 906, 289}, {908, 908, 290}, {910, 929, 291}, {931, 974, 292}, {976, 982, 293}, {986, 986, 294}, {988, 988, 295}, {990, 990, 296}, {992, 992, 297}, {994, 1011, 298}, {1025, 1036, 299}, {1038, 1103, 300}, {1105, 1116, 301}, {1118, 1153, 302}, {1168, 1220, 303}, {1223, 1224, 304}, {1227, 1228, 305}, {1232, 1259, 306}, {1262, 1269, 307}, {1272, 1273, 308}, {1329, 1366, 309}, {1369, 1369, 310}, {1377, 1415, 311}, {1488, 1514, 312}, {1520, 1522, 313}, {1569, 1594, 314}, {1600, 1610, 315}, {1632, 1641, 316}, {1649, 1719, 317}, {1722, 1726, 318}, {1728, 1742, 319}, {1744, 1747, 320}, {1749, 1749, 321}, {1765, 1766, 322}, {1776, 1785, 323}, {2309, 2361, 324}, {2365, 2365, 325}, {2392, 2401, 326}, {2406, 2415, 327}, {2437, 2444, 328}, {2447, 2448, 329}, {2451, 2472, 330}, {2474, 2480, 331}, {2482, 2482, 332}, {2486, 2489, 333}, {2524, 2525, 334}, {2527, 2529, 335}, {2534, 2543, 336}, {2544, 2545, 337}, {2565, 2570, 338}, {2575, 2576, 339}, {2579, 2600, 340}, {2602, 2608, 341}, {2610, 2611, 342}, {2613, 2614, 343}, {2616, 2617, 344}, {2649, 2652, 345}, {2654, 2654, 346}, {2662, 2671, 347}, {2674, 2676, 348}, {2693, 2699, 349}, {2701, 2701, 350}, {2703, 2705, 351}, {2707, 2728, 352}, {2730, 2736, 353}, {2738, 2739, 354}, {2741, 2745, 355}, {2749, 2749, 356}, {2784, 2784, 357}, {2790, 2799, 358}, {2821, 2828, 359}, {2831, 2832, 360}, {2835, 2856, 361}, {2858, 2864, 362}, {2866, 2867, 363}, {2870, 2873, 364}, {2877, 2877, 365}, {2908, 2909, 366}, {2911, 2913, 367}, {2918, 2927, 368}, {2949, 2954, 369}, {2958, 2960, 370}, {2962, 2965, 371}, {2969, 2970, 372}, {2972, 2972, 373}, {2974, 2975, 374}, {2979, 2980, 375}, {2984, 2986, 376}, {2990, 2997, 377}, {2999, 3001, 378}, {3047, 3055, 379}, {3077, 3084, 380}, {3086, 3088, 381}, {3090, 3112, 382}, {3114, 3123, 383}, {3125, 3129, 384}, {3168, 3169, 385}, {3174, 3183, 386}, {3205, 3212, 387}, {3214, 3216, 388}, {3218, 3240, 389}, {3242, 3251, 390}, {3253, 3257, 391}, {3294, 3294, 392}, {3296, 3297, 393}, {3302, 3311, 394}, {3333, 3340, 395}, {3342, 3344, 396}, {3346, 3368, 397}, {3370, 3385, 398}, {3424, 3425, 399}, {3430, 3439, 400}, {3585, 3630, 401}, {3632, 3632, 402}, {3634, 3635, 403}, {3648, 3654, 404}, {3664, 3673, 405}, {3713, 3714, 406}, {3716, 3716, 407}, {3719, 3720, 408}, {3722, 3722, 409}, {3725, 3725, 410}, {3732, 3735, 411}, {3737, 3743, 412}, {3745, 3747, 413}, {3749, 3749, 414}, {3751, 3751, 415}, {3754, 3755, 416}, {3757, 3758, 417}, {3760, 3760, 418}, {3762, 3763, 419}, {3773, 3773, 420}, {3776, 3780, 421}, {3782, 3782, 422}, {3792, 3801, 423}, {3804, 3805, 424}, {3872, 3881, 425}, {3904, 3911, 426}, {3913, 3945, 427}, {4256, 4293, 428}, {4304, 4342, 429}, {4352, 4441, 430}, {4447, 4514, 431}, {4520, 4601, 432}, {7680, 7835, 433}, {7840, 7929, 434}, {7936, 7957, 435}, {7960, 7965, 436}, {7968, 8005, 437}, {8008, 8013, 438}, {8016, 8023, 439}, {8025, 8025, 440}, {8027, 8027, 441}, {8029, 8029, 442}, {8031, 8061, 443}, {8064, 8116, 444}, {8118, 8124, 445}, {8126, 8126, 446}, {8130, 8132, 447}, {8134, 8140, 448}, {8144, 8147, 449}, {8150, 8155, 450}, {8160, 8172, 451}, {8178, 8180, 452}, {8182, 8188, 453}, {8319, 8319, 454}, {8450, 8450, 455}, {8455, 8455, 456}, {8458, 8467, 457}, {8469, 8469, 458}, {8472, 8477, 459}, {8484, 8484, 460}, {8486, 8486, 461}, {8488, 8488, 462}, {8490, 8497, 463}, {8499, 8504, 464}, {12293, 12293, 465}, {12337, 12341, 466}, {12353, 12436, 467}, {12443, 12446, 468}, {12449, 12538, 469}, {12540, 12542, 470}, {12549, 12588, 471}, {12593, 12686, 472}, {19968, 40869, 473}, {44032, 55203, 474}, {63744, 64045, 475}, {64256, 64262, 476}, {64275, 64279, 477}, {64287, 64296, 478}, {64298, 64310, 479}, {64312, 64316, 480}, {64318, 64318, 481}, {64320, 64321, 482}, {64323, 64324, 483}, {64326, 64433, 484}, {64467, 64829, 485}, {64848, 64911, 486}, {64914, 64967, 487}, {65008, 65019, 488}, {65136, 65138, 489}, {65140, 65140, 490}, {65142, 65276, 491}, {65296, 65305, 492}, {65313, 65338, 493}, {65345, 65370, 494}, {65382, 65470, 495}, {65474, 65479, 496}, {65482, 65487, 497}, {65490, 65495, 498}, {65498, 65500, 499}, },
            {{61, 61, 500}, },
            {{38, 38, 501}, {61, 61, 502}, },
            {{0, 9, 503}, {11, 12, 503}, {14, 38, 503}, {40, 91, 503}, {92, 92, 504}, {93, 65535, 503}, },
            {},
            {},
            {{61, 61, 505}, },
            {{43, 43, 506}, {61, 61, 507}, },
            {},
            {{45, 45, 508}, {61, 61, 509}, },
            {{46, 46, 510}, {48, 57, 511}, },
            {{42, 42, 512}, {47, 47, 513}, {61, 61, 514}, },
            {{46, 46, 515}, {48, 55, 516}, {56, 57, 517}, {68, 68, 518}, {69, 69, 519}, {70, 70, 520}, {76, 76, 521}, {88, 88, 522}, {100, 100, 523}, {101, 101, 524}, {102, 102, 525}, {108, 108, 526}, {120, 120, 527}, },
            {{46, 46, 515}, {48, 57, 528}, {68, 76, -22}, {100, 108, -22}, },
            {},
            {},
            {{60, 60, 529}, {61, 61, 530}, },
            {{61, 61, 531}, },
            {{61, 61, 532}, {62, 62, 533}, },
            {},
            {},
            {{36, 65500, -10}, },
            {},
            {},
            {{61, 61, 534}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 274}, {98, 98, 535}, {99, 114, 274}, {115, 115, 536}, {116, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 110, 274}, {111, 111, 537}, {112, 113, 274}, {114, 114, 538}, {115, 120, 274}, {121, 121, 539}, {122, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 540}, {98, 103, 274}, {104, 104, 541}, {105, 107, 274}, {108, 108, 542}, {109, 110, 274}, {111, 111, 543}, {112, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 100, 274}, {101, 101, 544}, {102, 110, 274}, {111, 111, 545}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 107, 274}, {108, 108, 546}, {109, 109, 274}, {110, 110, 547}, {111, 119, 274}, {120, 120, 548}, {121, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 549}, {98, 104, 274}, {105, 105, 550}, {106, 107, 274}, {108, 108, 551}, {109, 110, 274}, {111, 111, 552}, {112, 65500, -38}, },
            {{36, 110, -37}, {111, 111, 553}, {112, 65500, -38}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 101, 274}, {102, 102, 554}, {103, 108, 274}, {109, 109, 555}, {110, 110, 556}, {111, 122, 274}, {170, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 557}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 97, 558}, {98, 100, 274}, {101, 101, 559}, {102, 116, 274}, {117, 117, 560}, {118, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 561}, {98, 113, 274}, {114, 114, 562}, {115, 116, 274}, {117, 117, 563}, {118, 65500, -46}, },
            {{36, 100, -39}, {101, 101, 564}, {102, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 103, 274}, {104, 104, 565}, {105, 115, 274}, {116, 116, 566}, {117, 117, 567}, {118, 118, 274}, {119, 119, 568}, {120, 120, 274}, {121, 121, 569}, {122, 65500, -37}, },
            {{36, 103, -49}, {104, 104, 570}, {105, 113, 274}, {114, 114, 571}, {115, 122, 274}, {170, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 572}, {112, 65500, -38}, },
            {{36, 103, -49}, {104, 104, 573}, {105, 122, 274}, {170, 65500, -10}, },
            {},
            {{61, 61, 574}, {124, 124, 575}, },
            {},
            {},
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{9, 32, -2}, },
            {},
            {{0, 65535, -9}, },
            {},
            {{34, 34, 576}, {39, 39, 577}, {48, 51, 578}, {52, 55, 579}, {92, 92, 580}, {98, 98, 581}, {102, 102, 582}, {110, 110, 583}, {114, 114, 584}, {116, 116, 585}, {117, 117, 586}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {},
            {},
            {},
            {{39, 39, 587}, },
            {{34, 34, 588}, {39, 39, 589}, {48, 51, 590}, {52, 55, 591}, {92, 92, 592}, {98, 98, 593}, {102, 102, 594}, {110, 110, 595}, {114, 114, 596}, {116, 116, 597}, {117, 117, 598}, },
            {},
            {},
            {},
            {},
            {},
            {{46, 46, 599}, },
            {{48, 57, 511}, {68, 68, 600}, {69, 69, 601}, {70, 70, 602}, {100, 100, 603}, {101, 101, 604}, {102, 102, 605}, },
            {{0, 9, 606}, {10, 10, 607}, {11, 12, 606}, {13, 13, 608}, {14, 41, 606}, {42, 42, 609}, {43, 65535, 606}, },
            {{0, 9, 610}, {10, 10, 611}, {11, 12, 610}, {13, 13, 612}, {14, 65535, 610}, },
            {},
            {{48, 57, 613}, {68, 68, 614}, {69, 69, 615}, {70, 70, 616}, {100, 100, 617}, {101, 101, 618}, {102, 102, 619}, },
            {{46, 70, -22}, {76, 76, 620}, {100, 102, -22}, {108, 108, 621}, },
            {{46, 46, 515}, {48, 57, 517}, {68, 70, -22}, {100, 102, -22}, },
            {},
            {{43, 43, 622}, {45, 45, 623}, {48, 57, 624}, },
            {},
            {},
            {{48, 57, 625}, {65, 70, 626}, {97, 102, 627}, },
            {},
            {{43, 57, -521}, },
            {},
            {},
            {{48, 102, -524}, },
            {{46, 108, -23}, },
            {{61, 61, 628}, },
            {},
            {},
            {},
            {{61, 61, 629}, {62, 62, 630}, },
            {},
            {{36, 95, -10}, {97, 114, 274}, {115, 115, 631}, {116, 65500, -36}, },
            {{36, 114, -537}, {115, 115, 632}, {116, 65500, -36}, },
            {{36, 110, -37}, {111, 111, 633}, {112, 65500, -38}, },
            {{36, 100, -39}, {101, 101, 634}, {102, 65500, -48}, },
            {{36, 95, -10}, {97, 115, 274}, {116, 116, 635}, {117, 122, 274}, {170, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 636}, {116, 116, 637}, {117, 65500, -541}, },
            {{36, 95, -10}, {97, 97, 638}, {98, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 639}, {98, 65500, -543}, },
            {{36, 95, -10}, {97, 109, 274}, {110, 110, 640}, {111, 65500, -44}, },
            {{36, 101, -44}, {102, 102, 641}, {103, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 116, 274}, {117, 117, 642}, {118, 65500, -46}, },
            {{36, 114, -537}, {115, 115, 643}, {116, 65500, -36}, },
            {{36, 116, -547}, {117, 117, 644}, {118, 65500, -46}, },
            {{36, 115, -541}, {116, 116, 645}, {117, 65500, -541}, },
            {{36, 107, -40}, {108, 108, 646}, {109, 122, 274}, {170, 65500, -10}, },
            {{36, 109, -545}, {110, 110, 647}, {111, 65500, -44}, },
            {{36, 110, -37}, {111, 111, 648}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 113, 274}, {114, 114, 649}, {115, 65500, -50}, },
            {{36, 115, -541}, {116, 116, 650}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 111, 274}, {112, 112, 651}, {113, 122, 274}, {170, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 652}, {116, 116, 653}, {117, 65500, -541}, },
            {{36, 109, -545}, {110, 110, 654}, {111, 65500, -44}, },
            {{36, 115, -541}, {116, 116, 655}, {117, 65500, -541}, },
            {{36, 95, -10}, {97, 118, 274}, {119, 119, 656}, {120, 122, 274}, {170, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 657}, {109, 65500, -551}, },
            {{36, 95, -10}, {97, 98, 274}, {99, 99, 658}, {100, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 104, 274}, {105, 105, 659}, {106, 110, 274}, {111, 111, 660}, {112, 65500, -38}, },
            {{36, 97, -36}, {98, 98, 661}, {99, 122, 274}, {170, 65500, -10}, },
            {{36, 115, -541}, {116, 116, 662}, {117, 65500, -541}, },
            {{36, 110, -37}, {111, 111, 663}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 97, 664}, {98, 113, 274}, {114, 114, 665}, {115, 65500, -50}, },
            {{36, 111, -557}, {112, 112, 666}, {113, 65500, -557}, },
            {{36, 104, -564}, {105, 105, 667}, {106, 122, 274}, {170, 65500, -10}, },
            {{36, 109, -545}, {110, 110, 668}, {111, 65500, -44}, },
            {{36, 104, -564}, {105, 105, 669}, {106, 113, 274}, {114, 114, 670}, {115, 65500, -50}, },
            {{36, 95, -10}, {97, 97, 671}, {98, 116, 274}, {117, 117, 672}, {118, 120, 274}, {121, 121, 673}, {122, 65500, -37}, },
            {{36, 104, -564}, {105, 105, 674}, {106, 107, 274}, {108, 108, 675}, {109, 65500, -551}, },
            {{36, 104, -564}, {105, 105, 676}, {106, 65500, -570}, },
            {},
            {},
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 34, -9}, {35, 47, 267}, {48, 55, 677}, {56, 91, 267}, {92, 65535, -9}, },
            {{0, 47, -580}, {48, 55, 678}, {56, 65535, -580}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{48, 57, 679}, {65, 70, 680}, {97, 102, 681}, },
            {},
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, {48, 55, 682}, },
            {{39, 39, 587}, {48, 55, 683}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{48, 57, 684}, {65, 70, 685}, {97, 102, 686}, },
            {},
            {},
            {{43, 43, 687}, {45, 45, 688}, {48, 57, 689}, },
            {},
            {},
            {{43, 57, -603}, },
            {},
            {{0, 41, -514}, {42, 42, 690}, {43, 65535, 606}, },
            {{0, 65535, -608}, },
            {{0, 9, 606}, {10, 10, 691}, {11, 65535, -608}, },
            {{0, 9, 692}, {10, 10, 693}, {11, 12, 692}, {13, 13, 694}, {14, 41, 692}, {42, 42, 695}, {43, 46, 692}, {47, 47, 696}, {48, 65535, 692}, },
            {{0, 65535, -515}, },
            {},
            {{10, 10, 697}, },
            {{48, 102, -517}, },
            {},
            {{43, 43, 698}, {45, 45, 699}, {48, 57, 700}, },
            {},
            {},
            {{43, 57, -617}, },
            {},
            {},
            {},
            {{48, 57, 624}, },
            {{48, 57, 624}, },
            {{48, 57, 624}, {68, 68, 701}, {70, 70, 702}, {100, 100, 703}, {102, 102, 704}, },
            {{48, 70, -524}, {76, 76, 705}, {97, 102, 627}, {108, 108, 706}, },
            {{48, 108, -627}, },
            {{48, 108, -627}, },
            {},
            {},
            {{61, 61, 707}, },
            {{36, 115, -541}, {116, 116, 708}, {117, 65500, -541}, },
            {{36, 100, -39}, {101, 101, 709}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 710}, {109, 65500, -551}, },
            {{36, 95, -10}, {97, 97, 711}, {98, 65500, -543}, },
            {{36, 100, -39}, {101, 101, 712}, {102, 65500, -48}, },
            {{36, 100, -39}, {101, 101, 713}, {102, 65500, -48}, },
            {{36, 98, -563}, {99, 99, 714}, {100, 65500, -563}, },
            {{36, 113, -554}, {114, 114, 715}, {115, 65500, -50}, },
            {{36, 114, -537}, {115, 115, 716}, {116, 65500, -36}, },
            {{36, 114, -537}, {115, 115, 717}, {116, 116, 718}, {117, 65500, -541}, },
            {{36, 95, -10}, {97, 97, 719}, {98, 65500, -543}, },
            {{36, 97, -36}, {98, 98, 720}, {99, 65500, -565}, },
            {{36, 100, -39}, {101, 101, 721}, {102, 65500, -48}, },
            {{36, 95, -10}, {97, 108, 274}, {109, 109, 722}, {110, 122, 274}, {170, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 723}, {102, 65500, -48}, },
            {{36, 114, -537}, {115, 115, 724}, {116, 65500, -36}, },
            {{36, 95, -10}, {97, 97, 725}, {98, 65500, -543}, },
            {{36, 95, -10}, {97, 97, 726}, {98, 65500, -543}, },
            {{36, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 727}, {112, 65500, -38}, },
            {{36, 107, -40}, {108, 108, 728}, {109, 110, 274}, {111, 111, 729}, {112, 65500, -38}, },
            {{36, 115, -541}, {116, 116, 730}, {117, 65500, -541}, },
            {{36, 100, -39}, {101, 101, 731}, {102, 65500, -48}, },
            {{36, 95, -10}, {97, 102, 274}, {103, 103, 732}, {104, 122, 274}, {170, 65500, -10}, },
            {{36, 104, -564}, {105, 105, 733}, {106, 65500, -570}, },
            {{36, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 734}, {109, 65500, -551}, },
            {{36, 95, -10}, {97, 106, 274}, {107, 107, 735}, {108, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 117, 274}, {118, 118, 736}, {119, 122, 274}, {170, 65500, -10}, },
            {{36, 115, -541}, {116, 116, 737}, {117, 65500, -541}, },
            {{36, 107, -40}, {108, 108, 738}, {109, 65500, -551}, },
            {{36, 116, -547}, {117, 117, 739}, {118, 65500, -46}, },
            {{36, 113, -554}, {114, 114, 740}, {115, 65500, -50}, },
            {{36, 115, -541}, {116, 116, 741}, {117, 65500, -541}, },
            {{36, 104, -564}, {105, 105, 742}, {106, 65500, -570}, },
            {{36, 100, -39}, {101, 101, 743}, {102, 65500, -48}, },
            {{36, 115, -541}, {116, 116, 744}, {117, 65500, -541}, },
            {{36, 98, -563}, {99, 99, 745}, {100, 65500, -563}, },
            {{36, 114, -537}, {115, 115, 746}, {116, 65500, -36}, },
            {{36, 110, -37}, {111, 111, 747}, {112, 65500, -38}, },
            {{36, 109, -545}, {110, 110, 748}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 749}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 99, 274}, {100, 100, 750}, {101, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 751}, {98, 65500, -543}, },
            {{36, 107, -40}, {108, 108, 752}, {109, 65500, -551}, },
            {{0, 47, -580}, {48, 55, 753}, {56, 65535, -580}, },
            {{0, 65535, -9}, },
            {{48, 57, 754}, {65, 70, 755}, {97, 102, 756}, },
            {{48, 102, -681}, },
            {{48, 102, -681}, },
            {{39, 39, 587}, {48, 55, 757}, },
            {{39, 39, 587}, },
            {{48, 57, 758}, {65, 70, 759}, {97, 102, 760}, },
            {{48, 102, -686}, },
            {{48, 102, -686}, },
            {{48, 57, 689}, },
            {{48, 57, 689}, },
            {{48, 57, 689}, {68, 68, 600}, {70, 100, -513}, {102, 102, 605}, },
            {{0, 9, 761}, {10, 10, 762}, {11, 12, 761}, {13, 13, 763}, {14, 41, 761}, {42, 42, 690}, {43, 46, 761}, {47, 47, 764}, {48, 65535, 761}, },
            {{0, 65535, -608}, },
            {{0, 9, 765}, {10, 10, 766}, {11, 12, 765}, {13, 13, 767}, {14, 41, 765}, {42, 42, 768}, {43, 65535, 765}, },
            {{0, 65535, -694}, },
            {{0, 9, 765}, {10, 10, 769}, {11, 65535, -694}, },
            {{0, 65535, -611}, },
            {},
            {},
            {{48, 57, 700}, },
            {{48, 57, 700}, },
            {{48, 57, 700}, {68, 68, 614}, {70, 100, -517}, {102, 102, 619}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{36, 113, -554}, {114, 114, 770}, {115, 65500, -50}, },
            {{36, 113, -554}, {114, 114, 771}, {115, 65500, -50}, },
            {{36, 100, -39}, {101, 101, 772}, {102, 65500, -48}, },
            {{36, 106, -660}, {107, 107, 773}, {108, 65500, -660}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 103, -49}, {104, 104, 774}, {105, 65500, -52}, },
            {{36, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 775}, {116, 65500, -36}, },
            {{36, 115, -541}, {116, 116, 776}, {117, 65500, -541}, },
            {{36, 104, -564}, {105, 105, 777}, {106, 65500, -570}, },
            {{36, 116, -547}, {117, 117, 778}, {118, 65500, -46}, },
            {{36, 107, -40}, {108, 108, 779}, {109, 65500, -551}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -545}, {110, 110, 780}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 781}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 782}, {109, 65500, -551}, },
            {{36, 115, -541}, {116, 116, 783}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 784}, {102, 65500, -48}, },
            {{36, 113, -554}, {114, 114, 785}, {115, 65500, -50}, },
            {{36, 95, -10}, {97, 97, 786}, {98, 65500, -543}, },
            {{36, 113, -554}, {114, 114, 787}, {115, 65500, -50}, },
            {{36, 65500, -10}, },
            {{36, 117, -661}, {118, 118, 788}, {119, 65500, -661}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 789}, {98, 65500, -543}, },
            {{36, 95, -10}, {97, 97, 790}, {98, 65500, -543}, },
            {{36, 100, -39}, {101, 101, 791}, {102, 65500, -48}, },
            {{36, 104, -564}, {105, 105, 792}, {106, 65500, -570}, },
            {{36, 113, -554}, {114, 114, 793}, {115, 65500, -50}, },
            {{36, 115, -541}, {116, 116, 794}, {117, 65500, -541}, },
            {{36, 104, -564}, {105, 105, 795}, {106, 65500, -570}, },
            {{36, 98, -563}, {99, 99, 796}, {100, 65500, -563}, },
            {{36, 113, -554}, {114, 114, 797}, {115, 65500, -50}, },
            {{36, 98, -563}, {99, 99, 798}, {100, 65500, -563}, },
            {{36, 103, -49}, {104, 104, 799}, {105, 65500, -52}, },
            {{36, 65500, -10}, },
            {{36, 118, -561}, {119, 119, 800}, {120, 65500, -561}, },
            {{36, 114, -537}, {115, 115, 801}, {116, 65500, -36}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -541}, {116, 116, 802}, {117, 65500, -541}, },
            {{36, 100, -39}, {101, 101, 803}, {102, 65500, -48}, },
            {{0, 65535, -9}, },
            {{48, 57, 804}, {65, 70, 805}, {97, 102, 806}, },
            {{48, 102, -756}, },
            {{48, 102, -756}, },
            {{39, 39, 587}, },
            {{48, 57, 807}, {65, 70, 808}, {97, 102, 809}, },
            {{48, 102, -760}, },
            {{48, 102, -760}, },
            {{0, 9, 810}, {10, 10, 811}, {11, 12, 810}, {13, 13, 812}, {14, 41, 810}, {42, 42, 813}, {43, 65535, 810}, },
            {{0, 65535, -763}, },
            {{0, 9, 810}, {10, 10, 814}, {11, 65535, -763}, },
            {},
            {{0, 65535, -694}, },
            {{0, 65535, -694}, },
            {{0, 9, 765}, {10, 10, 815}, {11, 65535, -694}, },
            {{0, 41, -611}, {42, 42, 768}, {43, 65535, -611}, },
            {{0, 65535, -694}, },
            {{36, 95, -10}, {97, 97, 816}, {98, 65500, -543}, },
            {{36, 115, -541}, {116, 116, 817}, {117, 65500, -541}, },
            {{36, 95, -10}, {97, 97, 818}, {98, 65500, -543}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -545}, {110, 110, 819}, {111, 65500, -44}, },
            {{36, 107, -40}, {108, 108, 820}, {109, 65500, -551}, },
            {{36, 100, -39}, {101, 101, 821}, {102, 65500, -48}, },
            {{36, 99, -676}, {100, 100, 822}, {101, 65500, -676}, },
            {{36, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 823}, {109, 65500, -551}, },
            {{36, 65500, -10}, },
            {{36, 108, -646}, {109, 109, 824}, {110, 65500, -646}, },
            {{36, 115, -541}, {116, 116, 825}, {117, 65500, -541}, },
            {{36, 109, -545}, {110, 110, 826}, {111, 65500, -44}, },
            {{36, 101, -44}, {102, 102, 827}, {103, 65500, -546}, },
            {{36, 100, -39}, {101, 101, 828}, {102, 65500, -48}, },
            {{36, 102, -656}, {103, 103, 829}, {104, 65500, -656}, },
            {{36, 115, -541}, {116, 116, 830}, {117, 65500, -541}, },
            {{36, 98, -563}, {99, 99, 831}, {100, 65500, -563}, },
            {{36, 98, -563}, {99, 99, 832}, {100, 65500, -563}, },
            {{36, 109, -545}, {110, 110, 833}, {111, 65500, -44}, },
            {{36, 65500, -10}, },
            {{36, 98, -563}, {99, 99, 834}, {100, 65500, -563}, },
            {{36, 115, -541}, {116, 116, 835}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 103, -49}, {104, 104, 836}, {105, 65500, -52}, },
            {{36, 113, -554}, {114, 114, 837}, {115, 65500, -50}, },
            {{36, 114, -537}, {115, 115, 838}, {116, 65500, -36}, },
            {{36, 104, -564}, {105, 105, 839}, {106, 65500, -570}, },
            {{36, 104, -564}, {105, 105, 840}, {106, 65500, -570}, },
            {{36, 65500, -10}, },
            {{48, 57, 841}, {65, 70, 842}, {97, 102, 843}, },
            {{48, 102, -806}, },
            {{48, 102, -806}, },
            {{48, 57, 844}, {65, 70, 845}, {97, 102, 846}, },
            {{48, 102, -809}, },
            {{48, 102, -809}, },
            {{0, 65535, -763}, },
            {{0, 65535, -763}, },
            {{0, 9, 810}, {10, 10, 847}, {11, 65535, -763}, },
            {{0, 41, -692}, {42, 42, 813}, {43, 65535, -692}, },
            {{0, 65535, -763}, },
            {{0, 65535, -694}, },
            {{36, 98, -563}, {99, 99, 848}, {100, 65500, -563}, },
            {{36, 65500, -10}, },
            {{36, 109, -545}, {110, 110, 849}, {111, 65500, -44}, },
            {{36, 116, -547}, {117, 117, 850}, {118, 65500, -46}, },
            {{36, 115, -541}, {116, 116, 851}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 852}, {116, 65500, -36}, },
            {{36, 95, -10}, {97, 120, 274}, {121, 121, 853}, {122, 65500, -37}, },
            {{36, 100, -39}, {101, 101, 854}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 98, -563}, {99, 99, 855}, {100, 65500, -563}, },
            {{36, 95, -10}, {97, 97, 856}, {98, 65500, -543}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 857}, {102, 65500, -48}, },
            {{36, 100, -39}, {101, 101, 858}, {102, 65500, -48}, },
            {{36, 115, -541}, {116, 116, 859}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 101, -44}, {102, 102, 860}, {103, 65500, -546}, },
            {{36, 65500, -10}, },
            {{36, 110, -37}, {111, 111, 861}, {112, 65500, -38}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 862}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 863}, {109, 65500, -551}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{0, 65535, -763}, },
            {{36, 115, -541}, {116, 116, 864}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 865}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -545}, {110, 110, 866}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 867}, {102, 65500, -48}, },
            {{36, 98, -563}, {99, 99, 868}, {100, 65500, -563}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 869}, {102, 65500, -48}, },
            {{36, 111, -557}, {112, 112, 870}, {113, 65500, -557}, },
            {{36, 109, -545}, {110, 110, 871}, {111, 65500, -44}, },
            {{36, 109, -545}, {110, 110, 872}, {111, 65500, -44}, },
            {{36, 100, -39}, {101, 101, 873}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -541}, {116, 116, 874}, {117, 65500, -541}, },
            {{36, 110, -37}, {111, 111, 875}, {112, 65500, -38}, },
            {{36, 100, -39}, {101, 101, 876}, {102, 65500, -48}, },
            {{36, 99, -676}, {100, 100, 877}, {101, 65500, -676}, },
            {{36, 65500, -10}, },
            {{36, 104, -564}, {105, 105, 878}, {106, 65500, -570}, },
            {{36, 115, -541}, {116, 116, 879}, {117, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 880}, {116, 65500, -36}, },
            {{36, 101, -44}, {102, 102, 881}, {103, 65500, -546}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 121, 274}, {122, 122, 882}, {170, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -39}, {101, 101, 883}, {102, 65500, -48}, },
            {{36, 99, -676}, {100, 100, 884}, {101, 65500, -676}, },
            {{36, 65500, -10}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // INITIAL
        {0, 0, 0, 0, 0, 0, 66, -1, 108, 87, 84, -1, 54, 55, 82, 80, 61, 81, 62, 83, 107, 107, 69, 60, 64, 63, 65, 68, 71, 108, 58, 59, 86, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 56, 85, 57, 67, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 0, 75, -1, 104, -1, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 98, 76, 95, -1, -1, 93, 78, 91, 79, 92, -1, 102, -1, 3, 94, 102, 107, -1, 102, -1, 102, 107, -1, 102, -1, 102, 107, -1, 107, 88, 73, 72, 74, 89, 97, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 16, 108, 108, 108, 108, 108, 108, 108, 108, 26, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 96, 77, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 103, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70, 102, -1, 102, 102, -1, 102, -1, -1, -1, -1, 3, 3, 3, 102, 102, -1, 102, 102, -1, 102, 107, 107, -1, -1, 102, 107, 107, 107, 99, 100, 90, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 24, 108, 108, 108, 30, 108, 108, 34, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 50, 108, 108, 108, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 102, -1, -1, -1, -1, -1, -1, 2, 3, -1, -1, 102, 102, 102, 102, 102, 107, 107, 101, 108, 108, 108, 108, 8, 9, 108, 11, 108, 108, 108, 108, 108, 18, 19, 108, 108, 108, 108, 25, 108, 108, 108, 108, 32, 108, 106, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 46, 108, 108, 105, 51, 108, 108, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 1, -1, -1, -1, -1, -1, 108, 108, 108, 7, 10, 12, 13, 108, 108, 108, 108, 105, 21, 23, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 40, 108, 108, 43, 108, 108, 47, 108, 108, 53, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 108, 4, 108, 108, 108, 17, 108, 108, 108, 28, 108, 108, 33, 108, 108, 108, 38, 39, 41, 108, 44, 108, 48, 108, 108, -1, -1, -1, -1, -1, -1, -1, 108, 6, 108, 15, 20, 22, 108, 108, 108, 35, 36, 108, 108, 108, 108, 108, 5, 14, 108, 108, 108, 108, 42, 108, 108, 52, 108, 108, 31, 37, 108, 49, 27, 29, 108, 108, 45, },

    };*/

    public static class State {
        public final static State INITIAL = new State(0);

        private int id;

        private State(@SuppressWarnings("hiding")int id) {
            this.id = id;
        }

        public int id() {
            return this.id;
        }
    }

    static {
        try {
            DataInputStream s = new DataInputStream(
                    new BufferedInputStream(
                            Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for (int i = 0; i < gotoTable.length; i++) {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for (int j = 0; j < gotoTable[i].length; j++) {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for (int k = 0; k < gotoTable[i][j].length; k++) {
                        for (int l = 0; l < 3; l++) {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for (int i = 0; i < accept.length; i++) {
                length = s.readInt();
                accept[i] = new int[length];
                for (int j = 0; j < accept[i].length; j++) {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch (Exception e) {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
